Loading...
Searching...
No Matches
binary_sub_type.hpp File Reference

## Description

X macro header expanding the user-provided BSONCXX_ENUM macro over BSON binary subtypes.

Warning
  The BSONCXX_ENUM macro must be defined by the user prior to including this header!

The user-provided BSONCXX_ENUM macro must accept two arguments: the name of the binary subtype corresponding value. See the source code for the list of expanded types and values.

Go to the source code of this file.